***

title: create
slug: /reference/python/rest/verified-callers/create
description: Create a new caller ID entry and initiate verification.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Create a new caller ID entry and initiate verification. SignalWire will place
a phone call or send an SMS to verify ownership.

<EndpointSchemaSnippet endpoint="POST /api/relay/rest/verified_caller_ids" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/relay/rest/verified_caller_ids" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

caller = client.verified_callers.create(number="+15551234567")
print("Verification state:", caller.get("verification_state"))
```